Organization - Update
curl --request PUT \
--url https://api.sandbox.pesaswap.io/organization/{id} \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"organization_name": "organization_abcd"
}
'const options = {
method: 'PUT',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({organization_name: 'organization_abcd'})
};
fetch('https://api.sandbox.pesaswap.io/organization/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sandbox.pesaswap.io/organization/{id}"
payload = { "organization_name": "organization_abcd" }
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.pesaswap.io/organization/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'organization_name' => 'organization_abcd'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"organization_id": "org_q98uSGAYbjEwqs0mJwnz",
"modified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"organization_name": "<string>",
"organization_details": {},
"metadata": {}
}Organization
Organization - Update
Create a new organization for .
PUT
/
organization
/
{id}
Organization - Update
curl --request PUT \
--url https://api.sandbox.pesaswap.io/organization/{id} \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '
{
"organization_name": "organization_abcd"
}
'const options = {
method: 'PUT',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({organization_name: 'organization_abcd'})
};
fetch('https://api.sandbox.pesaswap.io/organization/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sandbox.pesaswap.io/organization/{id}"
payload = { "organization_name": "organization_abcd" }
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.pesaswap.io/organization/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'organization_name' => 'organization_abcd'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"organization_id": "org_q98uSGAYbjEwqs0mJwnz",
"modified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"organization_name": "<string>",
"organization_details": {},
"metadata": {}
}Authorizations
Admin API keys allow you to perform some privileged actions such as creating a merchant account and Merchant Connector account.
Path Parameters
The unique identifier for the Organization
Body
application/json
Response
Organization Created
The unique identifier for the Organization
Required string length:
1 - 64Example:
"org_q98uSGAYbjEwqs0mJwnz"
Name of the Organization
Details about the organization
Metadata is useful for storing additional, unstructured information on an object.